Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: Ben Collins <[email-masked]>
Date: Mon, 25 Aug 2008 09:22:35 -0400

David Woodhouse wrote:
> On Sat, 2008-08-23 at 20:33 -0700, Junio C Hamano wrote:
>> There is one alternative, and one augmentation:
>>
>>  (A) We do not do anything.
>>
>>  (B) In addition to the main transition plan, outside git, prepare an
>>      optional "git-old-style" package that installs many "git-foo"
>>      wrappers in $PATH (i.e. /usr/bin).  Each of them exec "git foo".
>>      People who like the dashed form can keep typing "git-foo", even
>>      though that will cost them two exec()s.
> 
>   (C) Just don't do it. Leave the git-foo commands as they were. They
>       weren't actually hurting anyone, and you don't actually _gain_
>       anything by removing them. For those occasional nutters who
>       _really_ care about the size of /usr/bin, give them the _option_
>       of a 'make install' without installing the aliases.
> 
> (Oh look, my /usr/bin has 3806 files in it. And except when I
> accidentally point the $%#@&! GNOME file dialog box at it, I don't
> _care_.)
> 

I'll second that. I've not heard a good argument against the git-foo 
commands. If they were going to be deprecated, it should have actually 
happened a long time ago.

-- BenC, late to the discussion as usual